#!/bin/bash
# Licensed Materials - Property of IBM
# 5724-I68
#
# (C) Copyright IBM Corp. 2006
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

# Sachin Prasad
# usage: checkForCompileError.sh --company_code=<code> --script_dir=<path/to/wpc/script/directory> --logfile=<logfile path>

. ${TOP}/bin/get_params.sh

function printUsage()
{
	${ECHO} CREATE_COMPANY_INFO_USAGE_SH " checkChangedScriptOps.sh --use_docstore=<yes/no> --company_code=<code> --src_path=<path/to/wpc/script/directory> --dst_path=<path/to/destination/directory> --logfile=<logfile path>"
}

if [ -z ${_CCD_USE_DOCSTORE} ]; then
    printUsage
    exit
fi

if [ -z ${_CCD_DST_PATH} ]; then
    ${ECHO} MIGRATION_INFO_CHANGEDSCRIPTOP_CONFIMATION_SH 
   read res
   if [ "$res" = "no" ]; then
       ${ECHO} MIGRATION_INFO_CHANGEDSCRIPTOP_ABORTING_SH 
       exit
   fi
fi


${ECHO} "============================================================"
$JAVA_RT -Xmx1024m -Xms1024m com.ibm.ccd.common.interpreter.test.ScriptOpChangesLister --use_docstore=${_CCD_USE_DOCSTORE} --companycode=${_CCD_COMPANY_CODE} --src_path=${_CCD_SRC_PATH} --dst_path=${_CCD_DST_PATH} --logfile=${_CCD_LOGFILE} 
${ECHO} 
${ECHO} "============================================================"

