#!/bin/bash
# Licensed Materials - Property of IBM
# 5724-I68
#
# (C) Copyright IBM Corp. 2006
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

# Abhishek Banugaria
# usage: checkForCompileError.sh --company_code=<code> --script_dir=<path/to/wpc/script/directory> --logfile=<logfile path>

. ${TOP}/bin/get_params.sh

function printUsage()
{
	${ECHO} "Usage : checkForCompileError.sh --use_docstore=<yes/no> --company_code=<code> --script_dir=<path/to/wpc/script/directory> --logfile=<logfile path>"
}

if [ -z ${_CCD_USE_DOCSTORE} ]; then
    printUsage
    exit
fi

if [ ${_CCD_USE_DOCSTORE} = 'yes' ]; then
    
    if [ -z  ${_CCD_COMPANY_CODE} ]; then
    	printUsage
    	exit
	fi
fi


if [ -z  ${_CCD_LOGFILE} ]; then
    printUsage
    exit
fi


${ECHO} "============================================================"
$JAVA_RT -Xmx1024m -Xms1024m com.ibm.ccd.common.interpreter.test.ScriptVerifier --use_docstore=${_CCD_USE_DOCSTORE} --companycode=${_CCD_COMPANY_CODE} --scriptdir=${_CCD_SCRIPT_DIR} --logfile=${_CCD_LOGFILE} 
${ECHO} 
${ECHO} "Entire log is written to '${_CCD_LOGFILE}'"
${ECHO} "============================================================"

