#!/bin/bash
# Licensed Materials - Property of IBM
# 5724-I68
#
# (C) Copyright IBM Corp. 2000, 2006
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

# Sachin Prasad
# Trigo Technologies

# usage: exportCompany --company_code=<code> --script_path=<path/to/trigo/script>

. ${TOP}/bin/get_params.sh

if [ -z ${_CCD_COMPANY_CODE} ]; then
    ${ECHO} CREATE_COMPANY_INFO_USAGE_SH " exportCompanyAsZip.sh --company_code=<code> --script_path=<path/to/trigo/script>"
    exit
fi

if [ -z ${_CCD_SCRIPT_PATH} ]; then
    ${ECHO} CREATE_COMPANY_INFO_USAGE_SH " exportCompanyAsZip.sh --company_code=<code> --script_path=<path/to/trigo/script>"
    exit
fi

if [ ! -e ${_CCD_SCRIPT_PATH} ]; then
    ${ECHO} MIGRATIONSCRIPT_ERROR_INVALID_SCRIPT_PATH_SH
    exit
fi

if [ -e ./exportCompany.log ]; then 
    ${ECHO} MIGRATION_INFO_ISEXPORTLOGOVERWRITE_SH
   read res
   if [ "$res" = "n" ]; then
       ${ECHO} MIGRATION_INFO_ABORTING_SH
       exit
   fi
fi

touch exportCompany.log
${ECHO} "============================================================"
$JAVA_RT com.ibm.ccd.envexpimp.common.EnvironmentExporter -companycode=${_CCD_COMPANY_CODE} -scriptpath=${_CCD_SCRIPT_PATH} | tee exportCompany.log
${ECHO} 
${ECHO} MIGRATION_INFO_LOGFILECREATED_SH " `pwd`/exportCompany.log"
${ECHO} "============================================================"

