#!/bin/bash
# Licensed Materials - Property of IBM
# 5724-I68
#
# (C) Copyright IBM Corp. 2000, 2006
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

#
# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#

#
# parses the argument list
# when it finds a --var=name
# it creates a variable _CCD_{VAR} and sets its value to {NAME}
# note that the created variable is in uppercase.
# in your shell script, use:
# . $TOP/bin/get_params.sh
#
# ex: get_params.sh --confirm_db=yes --name=acme
#     sets 2 variables: _CCD_CONFIRM_DB=yes, _CCD_NAME=acme
# use --debug=yes to see some debugging info

for _VAR in "$@"; do
    case ${_VAR} in
        --*=* )
            _VALUE=`${ECHO} ${_VAR}|cut -f2 -d "="`
            #_NAME=`${ECHO} ${_VAR}|cut -f1 -d "="|cut -f3 -d "-"|${TR} '[:lower:]' '[:upper:]'` 
            #_NAME=`${ECHO} ${_VAR}|cut -f1 -d "="|cut -f3 -d "-"|${TR} '[a-z]' '[A-Z]'`
            _NAME=`${ECHO} ${_VAR}|cut -f1 -d "="|cut -f3 -d "-"|${TR} 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
            _NEW_NAME="_CCD_${_NAME}"

            # do not assign value twice (debug mode looks nicer with nested calls :-)
            if [ ! "`eval ${ECHO} \\$${_NEW_NAME}`" = "${_VALUE}" ]; then
                if [ "${_CCD_DEBUG}" = "yes" ]; then
                    ${ECHO} "[setting ${_NEW_NAME}=${_VALUE}]"
                fi
                eval "${_NEW_NAME}=\"${_VALUE}\""
            fi
            ;;
    esac
done
