#!/bin/bash
# Licensed Materials - Property of IBM
# 5724-I68
#
# (C) Copyright IBM Corp. 2000, 2006
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

#
# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#

# read a config file (java property file or com.ibm.ccd.common.properties...)
# and assign shell variables
#
# ex: if the file contains:
#  rmi_port=19100
#  locale_xml_top=/locales/
#
# it will assign 2 variables:
#  _CCD_CONF_RMI_PORT to '19100'
#  _CCD_CONF_LOCALE_XML_TOP to '/locales/'

FILE=${1:-${CCD_ETC_DIR}/default/common.properties}

eval "`${AWK} -F\"=\" '/(^[^#|^$])/ && /^.*=.*/ { printf \"_CCD_CONF_\"; printf toupper(\$1); printf \"=\"; printf \"\\\"\"; printf \$2; print \"\\\"\"; }' < $FILE`"

#${MKDIR} ${TOP}/logs
#OUTPUT_FILE="${TOP}/logs/tmp_read_config.log"
#${RM} ${OUTPUT_FILE}

#cat $FILE \
#    |${GREP} -v '^#' \
#    |${GREP} -v '^$' \
#    |${SED} 's#^ *\([^ =]\+\) *= *\([^ ]*\)#\1%\2#' \
#    > ${OUTPUT_FILE}

#while read LINE
#do
#    _NAME=`${ECHO} $LINE|cut -d'%' -f1|${TR} a-z A-Z`
#    _VALUE=`${ECHO} $LINE|cut -d'%' -f2|${SED} "s/'/\"/"`
#    _NEW_NAME="_CCD_CONF_${_NAME}"
#    eval "${_NEW_NAME}='${_VALUE}'"
#
#    if [ "${_CCD_DEBUG}" = "yes" ]; then
#        ${ECHO} "[setting ${_NEW_NAME}=${_VALUE}]"
#    fi
#done < ${OUTPUT_FILE}

#${RM} ${OUTPUT_FILE}
