#!/bin/bash

# Licensed Materials - Property of IBM
# 5724-I68
#
# (C) Copyright IBM Corp. 2000, 2006
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
  

echo "File difference for TOP=${TOP}"
echo "  - an empty output means that all the files are present"
echo "  - lines starting with '<' refer to files added after the installation"
echo "  - lines starting with '>' refer to files missing from the installation"
echo

#building filelists
cd ${TOP}
LIST1=${TOP}/logs/install_filelist1.txt
LIST2=${TOP}/logs/install_filelist2.txt
find .|grep -v '\./logs/install_filelist.\.txt'|sort > ${LIST1}
sort ${TOP}/setup/filelist.txt > ${LIST2}

RES=`diff ${LIST1} ${LIST2}`

if [ "${RES}" = "" ]; then
    echo "status: perfect, all the trigo files are present."
else
    echo "status: extra files have been added/removed"
    echo "        from the default installation file list."

    diff ${LIST1} ${LIST2}
fi

#cleaning up
rm -rf ${LIST1}
rm -rf ${LIST2}
