#!/bin/bash
# Licensed Materials - Property of IBM
# 5724-I68
#
#  Copyright IBM Corp. 2000, 2007
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


# usage:
#   create_trigo_user.sh [--db_user_name=<user name>] [--db_user_pwd=<password>] [--db_service_name=<service name>] [--confirm=yes|no]

. ${TOP}/bin/get_params.sh

if [ "$_CCD_CONFIRM_DB" != "no" ]; then
    CONFIRM="--confirm_msg=!!_This_user_will_be_deleted_if_it_already_exists."
else
    CONFIRM="--confirm_db=no --db_output=no"
fi
. ${TOP}/src/db/schema/util/set_db.sh \
    $CONFIRM\
    --db_user_name=${_CCD_DB_USER_NAME} \
    --db_user_pwd=${_CCD_DB_USER_PWD} \
    --db_service_name=${_CCD_DB_SERVICE_NAME}

# replace the username/password here with
# a db user that can grand the following privileges
${CCD_SQLPLUS} useradmin/useradmin@${DB_SERVICE_NAME} <<EOF

drop user ${DB_USER_NAME} cascade;
create user ${DB_USER_NAME} identified by ${DB_USER_PWD}
default tablespace users
temporary tablespace temp;

grant unlimited tablespace to ${DB_USER_NAME};
grant connect to ${DB_USER_NAME};
grant resource to ${DB_USER_NAME};
grant query rewrite to ${DB_USER_NAME};
grant select any table to ${DB_USER_NAME};
grant create synonym to ${DB_USER_NAME};

EOF
