#!/bin/bash
# Licensed Materials - Property of IBM
# 5724-I68
#
# (C) Copyright IBM Corp. 2000, 2006
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

. ${TOP}/bin/get_params.sh

. ${TOP}/src/db/schema/util/set_db.sh \
    --db_user_name=${_CCD_DB_USER_NAME} \
    --db_user_pwd=${_CCD_DB_USER_PWD} \
    --db_service_name=${_CCD_DB_SERVICE_NAME}

cd $DB_DIR/util;

echo 'CONNECTION: ' $CONNECTION

${CCD_SQLPLUS} ${CONNECTION} <<EOF 2>&1
set pagesize 0;
set linesize 200;
set timing on;
set define '&';
set heading off;

prompt ========================================================;
prompt == Backing up tctg_ver_version table;
prompt == Ignore table or view does not exist error;
prompt ========================================================;

drop table tctg_ver_version_bkp;
create table tctg_ver_version_bkp as select * from tctg_ver_version;

prompt =================================================================;
prompt == Running a procedure to delete all the old versions in tables
prompt ==================================================================;

DECLARE

delete_size constant number := 10000;
min_itm_id number;
max_itm_id number;


BEGIN

select max(itm_id) into max_itm_id from tctg_itm_item ;
select min(itm_id) into min_itm_id from tctg_itm_item ;

while min_itm_id <= max_itm_id loop
delete from tctg_ita_item_attributes where ita_item_id <= min_itm_id + delete_size and ita_item_id >= min_itm_id and ita_next_version_id != 999999999;
commit;
update tctg_ita_item_attributes set ita_version_id = 0 where ita_item_id <= min_itm_id + delete_size and ita_item_id >= min_itm_id;
commit;
delete from tctg_itm_item where itm_id <= min_itm_id + delete_size and itm_id >= min_itm_id and itm_next_version_id != 999999999;
commit;
update tctg_itm_item set itm_version_id = 0 where itm_id <= min_itm_id + delete_size and itm_id >= min_itm_id;
commit;
delete from tctg_icm_item_category_map where icm_item_id <= min_itm_id + delete_size and icm_item_id >= min_itm_id and icm_next_version_id != 999999999;
commit;
update tctg_icm_item_category_map set icm_version_id = 0 where icm_item_id <= min_itm_id + delete_size and icm_item_id >= min_itm_id;
commit;
min_itm_id := min_itm_id + delete_size;
END LOOP;

delete from caa where caa_next_version_id != 999999999;
commit;
update caa set caa_version_id = 0;
commit;

delete from cab where cab_next_version_id != 999999999;
commit;
update cab set cab_version_id = 0;
commit;

delete from cat where cat_next_version_id != 999999999;
commit;
update cat set cat_version_id = 0;
commit;

delete from ccm where ccm_next_version_id != 999999999;
commit;
update ccm set ccm_version_id = 0;
commit;

delete from cgm where cgm_next_version_id != 999999999;
commit;
update cgm set cgm_version_id = 0;
commit;

delete from chi where chi_next_version_id != 999999999;
commit;
update chi set chi_version_id = 0;
commit;

delete from csa where csa_next_version_id != 999999999;
commit;
update csa set csa_version_id = 0;
commit;

delete from csm where csm_next_version_id != 999999999;
commit;
update csm set csm_version_id = 0;
commit;

delete from cta where cta_next_version_id != 999999999;
commit;
update cta set cta_version_id = 0;
commit;

delete from noa where noa_next_version_id != 999999999;
commit;
update noa set noa_version_id = 0;
commit;

delete from nod where nod_next_version_id != 999999999;
commit;
update nod set nod_version_id = 0;
commit;

delete from noh where noh_next_version_id != 999999999;
commit;
update noh set noh_version_id = 0;
commit;

delete from obm where obm_next_version_id != 999999999;
commit;
update obm set obm_version_id = 0;
commit;

delete from omd where omd_next_version_id != 999999999;
commit;
update omd set omd_version_id = 0;
commit;

delete from oms where oms_next_version_id != 999999999;
commit;
update oms set oms_version_id = 0;
commit;

delete from rul where rul_next_version_id != 999999999;
commit;
update rul set rul_version_id = 0;
commit;

delete from spa where spa_next_version_id != 999999999;
commit;
update spa set spa_version_id = 0;
commit;

delete from tmt where tmt_next_version_id != 999999999;
commit;
update tmt set tmt_version_id = 0;
commit;

delete from tctg_ver_version where ver_type not in ('FIRST_VERSION','Dummy System Entry');
commit;

END;
/

EOF
