#!/bin/bash
# Licensed Materials - Property of IBM
# 5724-I68
#
# (C) Copyright IBM Corp. 2000, 2006
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#


. ${TOP}/bin/get_params.sh

cd ${DB_ROOT_DIR}/schema

if [ "${_CCD_DB_USER_NAME}" = "" ]; then
    DB_USER_NAME=`${GREP} '^ *db_userName' ${CCD_ETC_DIR}/default/common.properties | cut -f2 -d "="`
else
    DB_USER_NAME=${_CCD_DB_USER_NAME}
fi

if [ "${_CCD_DB_USER_PWD}" = "" ]; then
    DB_USER_PWD=`${GREP} '^ *db_password' ${CCD_ETC_DIR}/default/common.properties | cut -f2 -d "="`
else
    DB_USER_PWD=${_CCD_DB_USER_PWD}
fi


if [ "${_CCD_DB_SERVICE_NAME}" = "" ]; then
    DB_SERVICE_NAME=`${GREP} '^ *db_url' ${CCD_ETC_DIR}/default/common.properties | ${SED} -e 's/^.*:\([^:]*\) *$/\1/'  -e 's/[0-9]*//' -e s_/__ -e 's/@//'`

else
    DB_SERVICE_NAME=${_CCD_DB_SERVICE_NAME}
fi

if [ ! "${_CCD_DB_OUTPUT}" = "no" ]; then
    ${ECHO}
    ${ECHO} ====================================================
    ${ECHO} CREATE_COMPANY_INFO_SETUPCONNECT_SH
    ${ECHO} ====================================================

    ${ECHO} CREATE_COMPANY_INFO_DATABASENAME_SH   ${DB_USER_NAME}
    ${ECHO} CREATE_COMPANY_INFO_DATABASEPASSWORD_SH  ${DB_USER_PWD}
    ${ECHO} CREATE_COMPANY_INFO_DATABASESERVERNAME_SH ${DB_SERVICE_NAME}
fi

#
if [ "$CCD_DB" = "oracle" ]; then
    CONNECTION=${DB_USER_NAME}/${DB_USER_PWD}@${DB_SERVICE_NAME}
elif [ "$CCD_DB" = "db2" ]; then
    CONNECTION="CONNECT TO ${DB_SERVICE_NAME} USER ${DB_USER_NAME} USING ${DB_USER_PWD};"
else
    ${ECHO} CREATE_COMPANY_INFO_ENVIRONMENTNOTSET_SH
    exit
fi

if [ ! "${_CCD_CONFIRM_DB}" = "no" ]; then
   ${ECHO}
   if [ ! "${_CCD_CONFIRM_MSG}" = "" ]; then
      ${ECHO} "${_CCD_CONFIRM_MSG}"|${SED} -e "s/_/ /g"
   fi
   ${ECHO} CREATE_COMPANY_INFO_ISCONTINUE_SH
   read res
   if [ ! "$res" = "y" ]; then
       ${ECHO} CREATE_COMPANY_INFO_NOCONTINUE_SH
       exit
   fi
fi

